"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bundleBifrostFormQuestionWithResponse = void 0;
const BifrostFormQuestion_1 = require("src/models/bifrost/BifrostFormQuestions/BifrostFormQuestion");
const BifrostFormQuestionResponse_1 = require("src/models/bifrost/BifrostFormQuestions/BifrostFormQuestionResponse");
const bundleBifrostFormQuestionWithResponse = ({ bifrostFormQuestion, }) => {
    let bifrostFormQuestionWithResponse;
    if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.TEXT_INPUT) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.EMAIL) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.EMAIL,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.EMAIL,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.PHONE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.PHONE_NUMBER,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.PHONE_NUMBER,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.TEXT_AREA) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.TOGGLE_BUTTON_GROUP) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.TEXT,
                responseValue: "",
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.SELECT_DATE_RANGE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.CALENDAR_DATE_RANGE,
                responseValue: {
                    startCalendarDate: undefined,
                    endCalendarDate: undefined,
                },
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.MULTI_SELECT_DATE_RANGE) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.MULTI_CALENDAR_DATE_RANGE,
                responseValue: [
                    {
                        startCalendarDate: undefined,
                        endCalendarDate: undefined,
                    },
                ],
            },
        };
    }
    else if (bifrostFormQuestion.type === BifrostFormQuestion_1.BifrostFormQuestionType.SPLIT_TEXT_INPUT) {
        bifrostFormQuestionWithResponse = {
            responseType: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.SPLIT_TEXT,
            bifrostFormQuestion,
            responseData: {
                type: BifrostFormQuestionResponse_1.BifrostFormQuestionResponseType.SPLIT_TEXT,
                responseValue: {
                    left: "",
                    right: "",
                },
            },
        };
    }
    else {
        throw new Error(`Unsupported BifrostFormQuestionType: ${bifrostFormQuestion.type}`);
    }
    return { bifrostFormQuestionWithResponse };
};
exports.bundleBifrostFormQuestionWithResponse = bundleBifrostFormQuestionWithResponse;
//# sourceMappingURL=bundleBifrostFormQuestionWithResponse.js.map