"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepClone = void 0;
const deepClone = (obj) => {
    if (obj === null || typeof obj !== "object") {
        return obj;
    }
    if (Array.isArray(obj)) {
        return obj.map((item) => (0, exports.deepClone)(item));
    }
    const clonedObj = {};
    for (const key in obj) {
        // Use Object.prototype.hasOwnProperty.call to avoid accessing the prototype directly
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
            clonedObj[key] = (0, exports.deepClone)(obj[key]);
        }
    }
    return clonedObj;
};
exports.deepClone = deepClone;
//# sourceMappingURL=deepClone.js.map