"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareCalendarDates = exports.CalendarDateComarison = void 0;
const convertCalendarDateToDateAdjustedForTimezone_1 = require("./convertCalendarDateToDateAdjustedForTimezone");
var CalendarDateComarison;
(function (CalendarDateComarison) {
    CalendarDateComarison[CalendarDateComarison["FIRST_DATE_OCCURS_BEFORE_SECOND_DATE"] = -1] = "FIRST_DATE_OCCURS_BEFORE_SECOND_DATE";
    CalendarDateComarison[CalendarDateComarison["FIRST_DATE_OCCURS_AFTER_SECOND_DATE"] = 1] = "FIRST_DATE_OCCURS_AFTER_SECOND_DATE";
    CalendarDateComarison[CalendarDateComarison["DATES_ARE_EQUAL"] = 0] = "DATES_ARE_EQUAL";
})(CalendarDateComarison || (exports.CalendarDateComarison = CalendarDateComarison = {}));
function compareCalendarDates({ firstCalendarDate, secondCalendarDate, }) {
    const firstDate = (0, convertCalendarDateToDateAdjustedForTimezone_1.convertCalendarDateToDateAdjustedForTimezone)({
        calendarDate: firstCalendarDate,
    });
    const secondDate = (0, convertCalendarDateToDateAdjustedForTimezone_1.convertCalendarDateToDateAdjustedForTimezone)({
        calendarDate: secondCalendarDate,
    });
    if (firstDate < secondDate)
        return CalendarDateComarison.FIRST_DATE_OCCURS_BEFORE_SECOND_DATE;
    if (firstDate > secondDate)
        return CalendarDateComarison.FIRST_DATE_OCCURS_AFTER_SECOND_DATE;
    return CalendarDateComarison.DATES_ARE_EQUAL;
}
exports.compareCalendarDates = compareCalendarDates;
//# sourceMappingURL=compareCalendarDates.js.map