"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertCalendarDateToDateAdjustedForTimezone = void 0;
const convertCalendarDateToDateAdjustedForTimezone = ({ calendarDate, }) => {
    const utcDate = new Date(Date.UTC(calendarDate.year, calendarDate.month - 1, calendarDate.day)); // month is zero-indexed in Date constructor
    if (!calendarDate.timeZone) {
        return utcDate; // Return UTC date if timeZone is not provided
    }
    const userTimezoneDate = new Date(utcDate.toLocaleString("en-US", { timeZone: calendarDate.timeZone }));
    return userTimezoneDate;
};
exports.convertCalendarDateToDateAdjustedForTimezone = convertCalendarDateToDateAdjustedForTimezone;
//# sourceMappingURL=convertCalendarDateToDateAdjustedForTimezone.js.map