"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderCalendarDate = void 0;
const RenderedCalendarDateFormat_1 = require("./RenderedCalendarDateFormat");
const renderMMSlashDDSlashYYFormatCalendarDate_1 = require("./renderedFormats/renderMMSlashDDSlashYYFormatCalendarDate");
const renderAbbreviatedMonthDayOptionalYearFormatCalendarDate_1 = require("./renderedFormats/renderAbbreviatedMonthDayOptionalYearFormatCalendarDate");
const renderMonthDayYearFormatCalendarDate_1 = require("./renderedFormats/renderMonthDayYearFormatCalendarDate");
const renderMonthFormatCalendarDate_1 = require("./renderedFormats/renderMonthFormatCalendarDate");
const renderCalendarDate = ({ calendarDate, format, }) => {
    if (format === RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.MM_SLASH_DD_SLASH_YY) {
        return (0, renderMMSlashDDSlashYYFormatCalendarDate_1.renderMMSlashDDSlashYYFormatCalendarDate)({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.ABBREVIATED_MONTH_DAY_OPTIONAL_YEAR) {
        return (0, renderAbbreviatedMonthDayOptionalYearFormatCalendarDate_1.renderAbbreviatedMonthDayOptionalYearFormatCalendarDate)({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.MONTH_DAY_YEAR) {
        return (0, renderMonthDayYearFormatCalendarDate_1.renderMonthDayYearFormatCalendarDate)({
            calendarDate,
        });
    }
    else if (format === RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.MONTH) {
        return (0, renderMonthFormatCalendarDate_1.renderMonthFormatCalendarDate)({
            calendarDate,
        });
    }
    else {
        throw new Error(`Unsupported format: ${format}`);
    }
};
exports.renderCalendarDate = renderCalendarDate;
//# sourceMappingURL=renderCalendarDate.js.map