"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderCalendarDateRange = void 0;
const RenderedCalendarDateFormat_1 = require("./RenderedCalendarDateFormat");
const renderCalendarDate_1 = require("./renderCalendarDate");
const RenderedCalendarDateRangeJoinFormat_1 = require("./RenderedCalendarDateRangeJoinFormat");
const renderCalendarDateRange = ({ calendarDateRange, renderedCalendarDateFormat, renderedCalendarDateRangeJoinFormat, collapseStrategy, }) => {
    if (collapseStrategy.collapseSameDay &&
        calendarDateRange.startCalendarDate.year ===
            calendarDateRange.endCalendarDate.year &&
        calendarDateRange.startCalendarDate.month ===
            calendarDateRange.endCalendarDate.month &&
        calendarDateRange.startCalendarDate.day ===
            calendarDateRange.endCalendarDate.day) {
        const startDate = (0, renderCalendarDate_1.renderCalendarDate)({
            calendarDate: calendarDateRange.startCalendarDate,
            format: renderedCalendarDateFormat,
        });
        return startDate;
    }
    if (collapseStrategy.collapseSameMonth &&
        calendarDateRange.startCalendarDate.year ===
            calendarDateRange.endCalendarDate.year &&
        calendarDateRange.startCalendarDate.month ===
            calendarDateRange.endCalendarDate.month) {
        if (renderedCalendarDateFormat === RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.MONTH_DAY_YEAR) {
            const month = (0, renderCalendarDate_1.renderCalendarDate)({
                calendarDate: calendarDateRange.startCalendarDate,
                format: RenderedCalendarDateFormat_1.RenderedCalendarDateFormat.MONTH,
            });
            return `${month} ${calendarDateRange.startCalendarDate.day} - ${calendarDateRange.endCalendarDate.day}, ${calendarDateRange.startCalendarDate.year}`;
        }
        const startDate = (0, renderCalendarDate_1.renderCalendarDate)({
            calendarDate: calendarDateRange.startCalendarDate,
            format: renderedCalendarDateFormat,
        });
        return `${startDate} - ${calendarDateRange.endCalendarDate.day}`;
    }
    const startDate = (0, renderCalendarDate_1.renderCalendarDate)({
        calendarDate: calendarDateRange.startCalendarDate,
        format: renderedCalendarDateFormat,
    });
    const endDate = (0, renderCalendarDate_1.renderCalendarDate)({
        calendarDate: calendarDateRange.endCalendarDate,
        format: renderedCalendarDateFormat,
    });
    if (renderedCalendarDateRangeJoinFormat ===
        RenderedCalendarDateRangeJoinFormat_1.RenderedCalendarDateRangeJoinFormat.SPACE_DASH_SPACE) {
        return `${startDate} - ${endDate}`;
    }
    else {
        throw new Error(`Unsupported format: ${renderedCalendarDateRangeJoinFormat}`);
    }
};
exports.renderCalendarDateRange = renderCalendarDateRange;
//# sourceMappingURL=renderCalendarDateRange.js.map