"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTotalListPriceInCentsFromRenderableItineraryOffer = void 0;
const getDaysBetweenCalendarDates_1 = require("../../dates/getDaysBetweenCalendarDates");
const getTotalListPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = (0, getDaysBetweenCalendarDates_1.getDaysBetweenCalendarDates)({
        startCalendarDate,
        endCalendarDate,
    });
    const totalListPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.listPriceInCents);
    }, 0);
    return { totalListPriceInCents };
};
exports.getTotalListPriceInCentsFromRenderableItineraryOffer = getTotalListPriceInCentsFromRenderableItineraryOffer;
//# sourceMappingURL=getTotalListPriceInCentsFromRenderableItineraryOffer.js.map