"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTotalOfferPriceInCentsFromRenderableItineraryOffer = void 0;
const getDaysBetweenCalendarDates_1 = require("../../dates/getDaysBetweenCalendarDates");
const getTotalOfferPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = (0, getDaysBetweenCalendarDates_1.getDaysBetweenCalendarDates)({
        startCalendarDate,
        endCalendarDate,
    });
    const totalOfferPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.offerPriceInCents);
    }, 0);
    return { totalOfferPriceInCents };
};
exports.getTotalOfferPriceInCentsFromRenderableItineraryOffer = getTotalOfferPriceInCentsFromRenderableItineraryOffer;
//# sourceMappingURL=getTotalOfferPriceInCents.js.map